[Collab-qa-commits] r1967 - debcluster/scripts/bin.local

Lucas Nussbaum lucas at alioth.debian.org
Wed Jul 27 10:22:39 UTC 2011


Author: lucas
Date: 2011-07-27 10:22:39 +0000 (Wed, 27 Jul 2011)
New Revision: 1967

Added:
   debcluster/scripts/bin.local/rebuild-ubuntu-amd64.sh
Log:
various debcluster updates

Added: debcluster/scripts/bin.local/rebuild-ubuntu-amd64.sh
===================================================================
--- debcluster/scripts/bin.local/rebuild-ubuntu-amd64.sh	                        (rev 0)
+++ debcluster/scripts/bin.local/rebuild-ubuntu-amd64.sh	2011-07-27 10:22:39 UTC (rev 1967)
@@ -0,0 +1,59 @@
+#!/bin/bash
+
+# needs TARGET WALLTIME NODES OAROPTS SUBNODES
+
+set -e
+
+#/dc/debcluster/scripts/update-mirror-ubuntu.bash
+
+if [ -z "$SUBNODES" ]; then
+	SUBNODES=4
+fi
+
+if [ -z "$TARGET" -o -z "$WALLTIME" -o -z "$NODES" ];then
+	echo "missing param."
+	exit 1
+fi
+
+JOBTYPE=3
+#LIST=~/failed
+WALL=wall
+#WALL=
+cd /dc/debcluster/scripts
+ARCH=amd64
+CHROOT=lubuntu64
+ID=${CHROOT}-${ARCH}.$(date --iso)
+export http_proxy=http://proxy:3128/
+for i in main universe restricted multiverse; do
+	cat ~/mirrors/ubuntu/dists/natty/$i/source/Sources.gz | gunzip ; done | rebuild-archive/grep-sources-arch.rb $ARCH $WALL > /tmp/wb_$ID.1
+rebuild-archive/pasfilter.rb $ARCH < /tmp/wb_$ID.1 > /tmp/wb_$ID.2
+if [ "$LIST" != "" ]; then
+  fcb -l /tmp/wb_$ID.2 and $LIST > /tmp/wb_$ID.2.1
+  mv /tmp/wb_$ID.2.1 /tmp/wb_$ID.2
+fi
+rebuild-archive/annotatewithpriority.rb rebuild-archive/buildtime.list < /tmp/wb_$ID.2 > /tmp/wb_$ID.3
+rebuild-archive/gentasklist.rb $CHROOT $ID < /tmp/wb_$ID.3 | shuf > /tmp/tasklisttext_ubuntu_$ARCH
+
+echo "Tasklist (in text) is /tmp/tasklisttext_ubuntu_*"
+cat /tmp/tasklisttext_ubuntu_amd64 | ./buildtasklist.rb > /tmp/tl.$ID
+TL=$(basename /tmp/tl.$ID)
+
+scp /tmp/tl.$ID $TARGET:
+
+ENV=lenny-x64-base
+ENV=squeeze-minimal
+echo "oarsub at $TARGET ..."
+ssh $TARGET "oarsub -t deploy $OAROPTS -l nodes=${NODES},walltime=${WALLTIME} \"/home/lnussbaum/bin/katapult3 --deploy-env ${ENV} --copy-ssh-key -- /home/lnussbaum/bin/dc-startcluster ${TL} --type $JOBTYPE --subnodes ${SUBNODES} --mirror\""
+
+echo "Generating analysis script."
+cat > /home/lnussbaum/.rebubuntu-analyze <<-EOF
+#!/bin/bash
+set -e
+cd /dc/data/logs/rebuild.$ID1
+cqa-scanlogs > ../res.ubuntu.amd64
+cd /dc/data/logs/rebuild.$ID
+cqa-scanlogs > ../res.ubuntu.i386
+echo "i386: $ID1"
+echo "amd64: $ID1"
+EOF
+chmod +x /home/lnussbaum/.rebubuntu-analyze


Property changes on: debcluster/scripts/bin.local/rebuild-ubuntu-amd64.sh
___________________________________________________________________
Added: svn:executable
   + *




More information about the Collab-qa-commits mailing list